#! /usr/bin/perl

# Runs the Unix command w and formats the output as XHTML

use strict;

sub endDoc {
	print <<EOD;
</body>
</html>
EOD
}

sub myDie {
	print "<p>$_[0]</p>\n";
	endDoc;
	die;
}

print "Content-Type: text/html\x0d\x0a\x0d\x0a";

print <<EOD;
<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd"><?xml-stylesheet href="./standard.css" type="text/css" ?>
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title>W</title>
</head>
<body>
EOD

open FH, "/usr/bin/w|" or myDie 'Error running command';

my $line = <FH> or myDie 'Error reading output from command';
print "<p>$line</p>\n";
print "<table>\n";
$line = <FH> or myDie 'Error reading output from command';
$line =~ s#\s+#\</th\>\<th\>#g;
print "<tr><th>$line</th></tr>\n";
while($line = <FH>) {
	$line =~ s#\s+#\</td\>\<td\>#g;
	print "<tr><td>$line</td></tr>\n";
}
print "</table>\n";

close FH;
endDoc;



